%global momorel 1
Summary: XCircuit - program for drawing electrical circuit schematic diagrams 
name: xcircuit
Version: 3.3.28
Release: %{momorel}m%{?dist}
URL: http://xcircuit.ece.jhu.edu/
%NoSource 0 http://xcircuit.ece.jhu.edu/archive/%{name}-%{version}.tgz 52b512f3e0108d400057f7a5a9ed62ea
License: GPL
Group: Applications/Engineering
BuildPreReq: tcl-devel, tk-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: tk

%description
XCircuit is a UNIX/X11 program for drawing publishable-quality
electrical circuit schematic diagrams and related figures, and produce
circuit netlists through schematic capture. XCircuit regards circuits as
inherently hierarchical, and writes both hierarchical PostScript output
and hierarchical SPICE netlists. Circuit components are saved in and
retrieved from libraries which are fully editable. XCircuit does not
separate artistic expression from circuit drawing; it maintains
flexiblity in style without compromising the power of schematic capture.

%prep
%setup -q

%build
%configure --program-transform-name="" \
	--with-tcl=%{_libdir} \
	--with-tcllibs=%{_libdir} \
	--with-tk=%{_libdir} \
	--with-tklibs=%{_libdir}
make AUTOMAKE="/bin/true" datadir=%{_libdir}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} datadir=%{_libdir} install install-man

%post

%postun

%preun

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT README* TODO examples
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/*

%changelog
* Fri May 20 2005 zunda <zunda at freeshell.org>
- (3.3.28-1m)
- source update

* Fri May 20 2005 zunda <zunda at freeshell.org>
- (3.3.13-1m)
- updated source and URL
- added dependency to tk for /usr/bin/wish
- xcircuit-3.3.13-stack-smashing-attack.patch to avoid:
  wish: stack smashing attack in function loadfontfile

* Wed Feb 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.2.22-3m)
- enable x86_64.

* Sun Feb  6 2005 TAKAHASHI Tamotsu <tamo>
- (3.2.22-2m)
- configure --program-transform-name=""
- Huh? The previous changelog must be wrong!

* Fri Aug  6 2004 zunda <zunda at freshell.org>
- (1.4-3m)
- First import into Momonga
